<?php
require_once('Page.php');
class Shakethemes extends Page{
	function show(){
        $this->_load->model('Shake_model');
        $shakethemes=$this->_load->shake_model->getThemes();
        foreach($shakethemes as $k=>$v){
            $shakethemes[$k]['data']=json_decode($v['themedata']);
        }
		$this->assign('themes',$shakethemes);
		$this->display('templates/shakethemes.html');
	}
}
$page=new Shakethemes();
$page->setTitle('摇一摇游戏主题设置');
$page->show();
